Skip to main content
GET
/
merchants
List merchants
curl --request GET \
  --url https://int-data.moneydesktop.com/merchants \
  --header 'MD-SESSION-TOKEN: <api-key>'
[
  {
    "merchants": [
      {
        "guid": "MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5",
        "logo_updated_at": null,
        "logo_url": "https://content.mx.com/logos/merchants/MCH-ad6d3405-ec03-721d-b0ca-eeceeebcb8b5.png",
        "name": "1-800 Contacts",
        "updated_at": "2022-05-20T20:15:36.000Z",
        "website_url": "https://www.1800contacts.com",
        "created_at": "2018-07-16T16:31:35.000Z"
      }
    ],
    "pagination": {
      "current_page": 1,
      "per_page": 25,
      "total_entries": 1,
      "total_pages": 1
    }
  }
]
List all merchants.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Query Parameters

page
integer

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

records_per_page
integer

Requests to all list endpoints that return multiple transactions (e.g. list transactions) should specify the desired records_per_page. The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

Response

200 - application/vnd.mx.nexus.v1+json

OK

merchants
object[]
pagination
object